(function ($) {

/**
 * Image Alt Fix javascript behavior.
 * @todo Add conditions based on settings variable.
 * @todo Add Event Listener for image tags injected into context with a missing or blank alt attribute.
 * @todo Add function to insert blank alt attribute and role presentation into image tags.
 */
Drupal.behaviors.imageAltFix = {
  attach: function (context, settings) {
    // Set up the ability to click anywhere on the row to select it.
    $('#image-alt-fix-records .views-row', context).click(function(event) {
      var tagName = event.target.tagName.toLowerCase();
      if (tagName != 'input' && tagName != 'a' && tagName != 'label') {
        $('.vbo-select:not(:disabled)', this).each(function() {
          // Always return true for radios, you cannot de-select a radio by clicking on it,
          // it should be the same when clicking on a row.
          this.checked = $(this).is(':radio') ? true : !this.checked;
          $(this).trigger('change');
        });
      }
    });
    // Scripts
    // Detect img tag being inserted into context variable
    // Img is missing alt attribute or blank alt value
    // Change event listener on context, run a search for img tags
    console.log(settings);
  }
};

})(jQuery);
